<!doctype html>
<html>
<link rel="icon" type="image/png" href="favicon.ico" />
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>CHESS</title>
<link rel="stylesheet" href="styles.css" type="text/css" />
</head>
<body>
	<header>
		<div class="logo-left width">
			<a href="index.html"><img src="images/logo_chess_350.gif"
				alt="CHESS logo" width=""></a>
		</div>
	</header>

	<nav>
		<div class="width">
			<ul>
				<li class="start"><a href="index.html">Home</a></li>
				<li class="divider-vertical-second-menu"></li>
				<li><a href="features.html">Features</a></li>
				<li class="divider-vertical-second-menu"></li>
				<li><a href="start.html">Getting Started</a></li>
				<li class="divider-vertical-second-menu"></li>
				<li><a href="events.html">Events</a></li>
				<li class="divider-vertical-second-menu"></li>
				<li class="end"><a href="community.html">Community</a></li>
				<li style="text-align: right;"><a href="download.html"
					class="box">Download</a></li>
				<li style="float: none;"><br style="clear: both;" /></li>
			</ul>
		</div>
	</nav>

	<div id="hrdiv">
		<img src="images/bg_breadcrumb.jpg" width="" alt="" height="" />
	</div>

	<div id="body" class="width-started">
		<p>
			CHESS 1.1.1 has been released! It is a bug-fix version of release 1.1.0.
			</br></br> The key features of the version 1.1.0 are:
			<ul>
				<li>Cross-level contract refinement.</li>
				<li>Support for "timed" time model.</li>
				<li>Improved default user settings.</li>
				<li>Increased tests coverage.</li>
				<li>Used xText editors for textual areas.</li>
				<li>Defined AST for guards/effects on state machines.</li>
				<li>Improved generation and auto-layout of diagrams.</li>
				<li>Created default workspace for V&V analysis.</li>
				<li>Further formal verification of state machine.</li>
				<li>Improved checker manager.</li>
				<li>Fixed Maven warnings.</li>		
		</ul> 
		See links below to download a full Eclipse CHESS distribution and the
		model examples. 
		<br><b>Java 8 JRE/JDK is mandatory for CHESS.</b>
		</br> If you want to install the CHESS plugins by using the
		Eclipse update site feature, check the <a href="start.html">Getting
			Started page</a></br> For release details, please check the <a
			href="https://projects.eclipse.org/projects/polarsys.chess/releases">
			<b>release plan</b>.</a>
		

		<h3>CHESS Eclipse full distribution:</h3>

		<li>CHESS-1.1.1: <a href="https://download.eclipse.org/chess/core/releases/1.1.1/CHESS-1.1.1-win32.win32.x86_64.zip">Windows 64 bit</a> - <a href="https://download.eclipse.org/chess/core/releases/1.1.1/CHESS-1.1.1-linux.gtk.x86_64.zip">Linux 64 bit</a> - <a href="https://download.eclipse.org/chess/core/releases/1.1.1/CHESS-1.1.1-macosx.cocoa.x86_64.zip">MacOS 64 bit</a>
		</li> </br>

		<h4>Previous versions:</h4>
		<li>CHESS-1.0.0: <a href="https://download.eclipse.org/chess/core/releases/1.0.0/CHESS-1.0.0-win32.win32.x86_64.zip">Windows 64 bit</a> - <a href="https://download.eclipse.org/chess/core/releases/1.0.0/CHESS-1.0.0-linux.gtk.x86_64.zip">Linux 64 bit</a> - <a href="https://download.eclipse.org/chess/core/releases/1.0.0/CHESS-1.0.0-macosx.cocoa.x86_64.zip">MacOS 64 bit</a>
		</li> </br>
		<li>CHESS-0.1.0: <a href="https://download.eclipse.org/chess/core/releases/0.10.0/PolarsysCHESS0.10.0-win32-x86_64.zip">Windows 64 bit</a> - <a href="https://download.eclipse.org/chess/core/releases/0.10.0/PolarsysCHESS0.10.0-linux-x86_64.tar.gz">Linux 64 bit</a>
		</li> </br>


		<h3>CHESS model examples</h3>
		<li><a
			href="https://download.eclipse.org/chess/models/ProtectedOperationSample.zip">Producer-Consumer
				(example about schedulability analysis)</a></li>
		<li><a
			href="https://download.eclipse.org/chess/models/IndustrialDrive.zip">IndustrialDrive
				(example about schedulability and E2E response time analyses) </a></li>
		<li><a href="https://download.eclipse.org/chess/models/WBS_CHESS_1_1_0.zip">Wheel
				Braking System (example about contract-based design)</a></li>
		<li><a
			href="https://download.eclipse.org/chess/models/SenseSpacecraftRateProject.zip">Sense
				Spacecraft Rate (example about contract-based design, model checking
				and fault tree analysis)</a></li><li><a
			href="https://download.eclipse.org/chess/models/TrainGateController_chess_model.zip">
				Train Gate Controller (example about model checking with timed model)</a></li>
		<li><a href="https://download.eclipse.org/chess/models/HBS.zip"
			title="Model from «L. Bressan, A. L. de Oliveira, L. Montecchi, B. Gallina. A Systematic Process for Applying the CHESS Methodology in the Creation of Certifiable Evidence. In: 14th European Dependable Computing Conference (EDCC 2018). Iasi, Romania, September 10-14, 2018»">Hybrid
				Braking System (example about safety analysis with CHESS-FLA and
				CHESS-SBA)</a></li> </br>
		<div class="clear"></div>
	</div>

	<footer>
		<div class="footer-content width">
			<ul>
				<li><h4>Eclipse Foundation</h4></li>
				<li><a href="https://www.eclipse.org/org/">About</a></li>
				<li><a
					href="https://www.eclipse.org/org/foundation/contact.php">Contact
						Us</a></li>
				<li><a
					href="https://projects.eclipse.org/projects/polarsys.chess">CHESS
						Project Page</a></li>
			</ul>
			<ul>
				<li><h4>Legal</h4></li>
				<li><a href="http://www.eclipse.org/legal/privacy.php">Privacy
						Policy</a></li>
				<li><a href="http://www.eclipse.org/legal/termsofuse.php">Terms
						of Use</a></li>
				<li><a href="http://www.eclipse.org/legal/copyright.php">Copyright
						Agent</a></li>
				<li><a href="http://www.eclipse.org/org/documents/epl-v10.php">Eclipse
						Public License</a></li>
				<li><a href="http://www.eclipse.org/legal/">Legal Resources</a></li>
			</ul>
			<ul>
				<li><h4>Useful Links</h4></li>
				<li><a
					href="https://bugs.eclipse.org/bugs/enter_bug.cgi?product=Chess">Report
						a Bug</a></li>
				<li><a href="https://wiki.eclipse.org/CHESS">Documentation</a></li>
				<li><a
					href="https://wiki.eclipse.org/CHESS/Technical_Information">How
						to Contribute</a></li>
				<li><a
					href="https://accounts.eclipse.org/mailing-list/chess-dev">Mailing
						List</a></li>
				<li><a href="https://www.eclipse.org/forums/index.php/f/529/">Forum</a></li>
			</ul>
			<ul class="endfooter">
				<li><h4>Other</h4></li>
				<li><a href="https://es.fbk.eu/">Fondazione Bruno Kessler</a></li>
				<li><a href="http://www.intecs.it/">Intecs</a></li>
				<li><a href="http://www.unipd.it">University of Padova</a></li>
				<li><a href="http://www.mdh.se/">Mälardalen University</a></li>
			</ul>
			<table>
				<tr>
					<td><a href="https://www.yourkit.com"><img
							src="images/yklogo.png" alt="YourKit logo"
							style="width: 25%; height: 25%"></a> <br /> <font size="2">Thanks
							YourKit for providing us free licenses of <a
							href="https://www.yourkit.com/java/profiler/">YourKit Java
								Profiler</a>
					</font></td>
					<td>
						<div class="right-footer">
							<a href="http://www.eclipse.org/"><img
								src="images/eclipse.png" alt="Eclipse logo"></a> <br />
							Copyright ©<span id="year">2016</span> The Eclipse Foundation. <br />
							All Rights Reserved.
						</div>
					</td>
				</tr>
			</table>

			<div class="clear"></div>
		</div>

	</footer>
</body>
</html>
